Bug 45649 - UI: Blinking hourglass icon during slideshow
Summary: UI: Blinking hourglass icon during slideshow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 60449 118643 (view as bug list)
Depends on:
Blocks: Slide-Show Mouse-Cursor
  Show dependency treegraph
 
Reported: 2012-02-05 03:57 UTC by Zoltan Laszlo
Modified: 2019-12-29 10:52 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
transparent waiticon.png (2.75 KB, image/png)
2016-09-06 01:21 UTC, jebsolutions
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltan Laszlo 2012-02-05 03:57:57 UTC
Blinking hourglass cursor is seen in bottom left corner during slideshow while using Presenter Console.
Comment 1 sasha.libreoffice 2012-05-15 03:51:38 UTC
Thanks for bugreport
Cursor appears in bottom left corner for small part of second. In my case almost unseen. May be in some cases it appears for long time.
Comment 2 Stefan Knorr (astron) 2012-11-22 19:34:36 UTC
Can reproduce with 3.6.4 on Linux x86-64.

I agree that it is not a very good idea to always show the hourglass, even if the slide switch takes mere milliseconds. This can look rather unprofessional.

Note that the hourglass symbol appears 

I would propose increasing the timeout until the hourglass symbol is shown to ~500 ms, to avoid unnecessary blinkery.
Comment 3 Stefan Knorr (astron) 2012-11-22 19:36:33 UTC
"Note that the hourglass symbol appears " should read...

Note that the hourglass symbol appears always when in a presentation, not just when using the presenter console.

(Sorry.)
Comment 4 Thomas van der Meulen 2013-02-23 10:45:22 UTC
*** Bug 60449 has been marked as a duplicate of this bug. ***
Comment 5 Thomas van der Meulen 2013-02-23 10:46:33 UTC
this bug still acceurs in version 4.0.0.3 (fdo#60499) so plz take an other look at it, Thank you
Comment 6 retired 2013-12-08 11:35:16 UTC
Hi all, a step-by-step description of how to reproduce the issue is most helpful and will help to speed up the processing of this problem a lot.

Also did anybody already try to confirm if this is still happening in LO 4.2b2? http://www.libreoffice.org/download/pre-releases/

Setting to NEEDINFO until more detail is provided.

After providing the requested info, please reset this bug to NEW, since it's already been confirmed, but not tested against the latest LO pre-release.
Comment 7 QA Administrators 2014-07-08 17:29:06 UTC Comment hidden (obsolete)
Comment 8 Zoltan Laszlo 2014-07-09 05:26:38 UTC
(In reply to comment #6)
> Hi all, a step-by-step description of how to reproduce the issue is most
> helpful and will help to speed up the processing of this problem a lot.
> 
> Also did anybody already try to confirm if this is still happening in LO
> 4.2b2? http://www.libreoffice.org/download/pre-releases/
> 
> Setting to NEEDINFO until more detail is provided.
> 
> After providing the requested info, please reset this bug to NEW, since it's
> already been confirmed, but not tested against the latest LO pre-release.

Steps to reproduce:
1. Open a new presentation.
2. Apply some background color (not necessary -- it only makes the hourglass easier to observe)
3. Insert more slides.
4. Apply some transition effect - any...
5. Start the slideshow and watch the bottom left corner during transition.

The bug was reproduced even on 3.6.4 in 2012 as Stefan Knorr mentioned above. It is still present in 4.2.5.
Comment 9 tommy27 2014-07-18 20:36:56 UTC
status NEW because of independent confirmations in comment 3 and comment 5
Comment 10 Dom 2014-11-02 22:27:37 UTC
Hourglass really look bad. Can this be eliminated?
Comment 11 Dom 2015-05-16 21:30:01 UTC
Version 4.3.7.2. The hourglass still appears.
Is there really nothing that can be done to hide it?
Comment 12 tommy27 2015-05-17 06:33:49 UTC
@Dom
thanks for confirmation with LibO 4.3.7.2
however you should not change the version field which has to indicate the "earliest version affected" not the latest. so I'm reverting it back to 3.6.4.3.
also consider upgrading to LibO 4.4.3.2 since the 4.3.x branch will not receive any more updates.
Comment 13 jebsolutions 2016-09-06 01:21:54 UTC
Created attachment 127165 [details]
transparent waiticon.png
Comment 14 jebsolutions 2016-09-06 01:27:54 UTC
The hourglass icon was inherited from OpenOffice.  

I hope they remove it so that I won't have to keep replacing it myself.

How to fix it depends on what version of Openoffice/Libreoffice you are using.  Look for a zip file in either your profile directory or where Libreoffice is installed named images.zip or image-something.zip.  Look inside the zip for a png file inside named "waiticon.png" replace it with a same-sized 100% transparent png.  

e.g. 
For Libreoffice 5.2.0 on Ubuntu look in:
/opt/libreoffice5.2/share/config/images_galaxy.zip
replace file /sd/res/waiticon.png

e.g. 
For LibreOffice 4.2.x on Windows 10 the zip file is in C:\Program Files (x86)\LibreOffice 4\share\config
Comment 15 Dom 2017-01-04 17:55:17 UTC
Can this hourglass be eliminated by default.
It is really not 'Impress'ive.
Comment 16 tommy27 2017-01-04 20:10:37 UTC
@Dom
do not change version field that way.
it has to reflect the first version a bug appeared, not the latest where it can be reproducible
Comment 17 Buovjaga 2018-09-20 08:55:01 UTC
*** Bug 118643 has been marked as a duplicate of this bug. ***
Comment 18 Steve White 2018-09-20 15:37:12 UTC
Does marking the new bug as a duplicate mean the problem reported six years agois more likely to be resolved?

Thank you
Comment 19 QA Administrators 2019-10-22 02:31:37 UTC
Dear Zoltan Laszlo,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug